<?php
namespace Bushelpowered\Api\Platform\User\V1\Model;
        
class StaffUserTenant implements \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id The unique identifier for the tenant-specific staff record*/
    public string $id;
    /** @var string $tenantId The tenant identifier associated with the staff user*/
    public string $tenantId;
    /** @var null|string $jobTitle The job title of the staff user within the tenant*/
    public ?string $jobTitle = null;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The unique identifier for the tenant-specific staff record
     * @param  string  $tenantId The tenant identifier associated with the staff user
     * @param  null|string  $jobTitle The job title of the staff user within the tenant
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $tenantId, ?string $jobTitle, string $updatedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->jobTitle = $jobTitle;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}